# Top&Tom 2
Copyright 2022 - Thomas Jentzsch

## The Game
**Top&Tom 2** is an enhanced variation of the browser game game [Top&Tom](https://chsxf.itch.io/top-and-tom) by *chsxf*. Like in the original, you play Top and Tom, two bots that went on a road trip while being attached to one another. The twist is you can only control Top directly, but you have to help both of them continue their journey.

## Controls
### Joystick
Use a joystick in the left port, to move Top up and down. Tom cannot be controlled directly, but you can make it avoid obstacles anyway. Use the joystick up to make Top jump up and bring back Tom faster to the road than it would be by itself. Use joystick down to bring it Top back faster to the road, which then allows Tom to jump. Tom's jump height depends on Top's previous jump height.

A 2nd player can take over control of one direction, up or down by using a joystick in the right port. 

### Switches
Press **Select** to check and change the current game variation. There are three starting stages (and difficulties) which each can be played on three non-random and one random tracks. On top of this, you can combine each variation with power-ups and shield options. The current variation and its options are displayed at the bottom of the screen while your are selecting them.

To start a game, press **Reset** at any time. Or press the fire button, when a game is over.

## Playing the Game
During the game, Top and Tom will face numerous blocks in multiple combinations. If they hit these blocks, you will lose energy. If all energy is lost, the game ends. 

The game is played in stages, each lasting ~60 seconds. At the end of each stage, you will gain some extra energy, the game pauses until you press fire. The next stage will be slightly more difficult.

### Power-ups
If you have this option enabled (Left Difficulty = A), you can collect power-ups, which randomly appear at the top or bottom of the screen. But you will get no extra energy at the end of a stage.

### Shield
The shield option (Right Difficulty = A) allows you to pass through an obstacle without losing energy from it. But while the shield is enabled, it will require a little energy too. And if you hit an obstacle without shield enabled, you will lose twice as much energy as without this option.

**Note:** The options can only be changed while being in select mode. During the game, changing them has no effect. What you see (before) is what you get! :)

### High Scores
While you select a variation, the display will alternate between the current variation, high score and high score stage display. After the game is over, the display will alternate between score, stage, high score and high score stage. High scores will be displayed in red. If you have a [SaveKey](https://atariage.com/store/index.php?l=product_detail&p=1194) or [AtariVox](https://atariage.com/store/index.php?l=product_detail&p=1045) plugged in, the high score of all 48 variations will be saved permanently. Else it will be overwritten when you finish a game of a different variation.

## Acknowledgements
**Top&Tom 2** has been developed and tested with [Stella](https://stella-emu.github.io), the best emulator for the Atari 2600. Thanks to chsxf for giving me the idea. And to Arlasoft, who did not mind that I release my 2600 version shortly after his.

## Legal
This game is freeware, but copyrighted; it may be freely distributed, but it **must** be always accompanied by this documentation file. This program may be included on websites and shareware or freeware compilations, but please contact me first. You **cannot** distribute Top&Tom 2 on Atari 2600 cartridges without my **explicit** permission. 